﻿using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;
using System.IO;
using CodeMerger.ViewModels;
using ICSharpCode.AvalonEdit;

namespace CodeMerger;

/// <summary>
/// Interaction logic for MainWindow.xaml
/// </summary>
public partial class MainWindow : Window
{
    private ChangesHighlightingColorizer _highlightingColorizer;

    public MainWindow()
    {
        InitializeComponent();
        DataContext = new MainViewModel();
        _highlightingColorizer = new ChangesHighlightingColorizer();
    }

    private void txtMergedCode_Loaded(object sender, RoutedEventArgs e)
    {
        var textEditor = (ICSharpCode.AvalonEdit.TextEditor)sender;
        _highlightingColorizer.SetTextView(textEditor.TextArea.TextView);
        textEditor.TextArea.TextView.BackgroundRenderers.Add(_highlightingColorizer);
    }
}